Xcode and iOS Developer Program Prerequisites

Document created by DPM Admin on Jul 19, 2017Last modified by Trishala Kalal on Aug 12, 2017
Version 2Show Document
  • View in full screen mode

To build a mobile app for use with TouchTest™ projects:

  • You'll need an iOS Developer Program membership. The developer program requires an Apple ID. You can create a new Apple ID or use an existing one as part of the process of joining the program.

  • Xcode version 4.2.1 or later is required to build and run a touchtestable app on your iOS device or Simulator.
  • Download and install Xcode on the same Mac OS X desktop client on which you'll build your mobile app (this also applies to those users who are building the TouchTest Web iOS app).  You can download the latest Xcode version here or launch the App Store directly on your desktop client to download it.
  • Provision one or more devices using the Launch Assistant included on the iOS Provisioning Portal. Once you're logged into the Portal, click the Launch Assistant button to provision your device.
  • Once you have one or more devices provisioned, your next step is to make your app touch testable using the instructions provided in the relevant TouchTest tutorial.

You can download TouchTest tutorials from CloudLink > Documentation page's top section. Refer to Introduction to TouchTest Tutorials for a brief abstract of each tutorial if you're not sure which tutorial is relevant to your task.

Attachments

    Outcomes